/*
 * Copyright (C) 2013 Darth Affe <http://wyrez.org> and contributors
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package org.wyrez.shootingstars.states.util;

/**
 *
 * @author Darth Affe
 */
public enum LoadingProgress {

    START("Loading...", 0),
    LOADING_CINEMA("Loading Cinema", 1),
    INIT_AUDIO_PLAYER("Loading Audio-Player...", 2),
    INIT_AUDIO_ANALYSIS("Creating Samples...", 3),
    CONVERT_AUDIO("Converting...", 3),
    ANALYSE_LOW_BAND("Analyse Low-Band...", 4),
    ANALYSE_MID_BAND("Analyse Mid-Band...", 5),
    ANALYSE_HIGH_BAND("Analyse High-Band...", 6),
    GENERATING_SCENE("Generating Scene...", 7),
    LOADING_PLAYER("Loading Player...", 8),
    DONE("Done!", 8);
    private String text;
    private float value;

    private LoadingProgress(String text, int value) {
        this.text = text;
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public float getValue() {
        return value;
    }

    public static int getProgressCount() {
        return LoadingProgress.values().length - 2;
    }
}
